### Method

# ClapperGtk Video set_auto_inhibit

#### Declaration [src]

    void
    clapper_gtk_video_set_auto_inhibit (
      ClapperGtkVideo* video,
      gboolean inhibit
    )

#### Description [src]

Set whether video should try to automatically inhibit session from idling (and possibly screen going black) when video is playing.

Sets property | `ClapperGtk.Video:auto-inhibit`

#### Parameters

`inhibit`

  Type: `gboolean`

  Whether to enable automatic session inhibit.